package cn.superdesk.uniorder.service.invoice.common;

import cn.superdesk.uniorder.common.rest.response.R;
import cn.superdesk.uniorder.dao.entity.invoice.common.InvoiceTaxRate;
import com.github.pagehelper.PageInfo;

import java.util.List;
import java.util.Map;

/**
 * @Description: extends BaseService<InvoiceTaxRate>
 * @Author: linjinyu
 * @CreateDate: 2021/7/23 下午3:57
 * @UpdateUser: linjinyu
 * @UpdateDate: 2021/7/23 下午3:57
 * @UpdateRemark: 修改内容
 * @Version: 1.0
 */
public interface InvoiceTaxRateService {

    /****************************************** extends BaseService 部分 start ******************************************/

    @Deprecated
    void addObj(InvoiceTaxRate entity);

    @Deprecated
    void updateObj(InvoiceTaxRate entity);

    @Deprecated
    void deleteObj(Long id);

    @Deprecated
    InvoiceTaxRate findById(Long id);

    @Deprecated
    PageInfo<InvoiceTaxRate> findByPaging(Map<String, Object> conditions, Integer pageNun, Integer pageSize);

    @Deprecated
    List<InvoiceTaxRate> findAll(Map<String, Object> queryMap);

    /****************************************** extends BaseService 部分   end ******************************************/


    void addInvoiceTaxRate(InvoiceTaxRate entity);

    void updateInvoiceTaxRate(InvoiceTaxRate entity);

    void deleteInvoiceTaxRate(Long id);

    InvoiceTaxRate findInvoiceTaxRateById(Long id);

    R<List<InvoiceTaxRate>> pageQuery(Map<String, Object> conditions, int pageNun, int pageSize);
}
